Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 1035)
+++ trunk/SophyaPI/PI/Makefile	(revision 1037)
@@ -1,5 +1,4 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
-MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
@@ -8,5 +7,5 @@
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPI -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
 endif 
  
@@ -17,18 +16,12 @@
 endif 
  
-$(OBJ)lut.o: lut.cc $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h
+$(OBJ)lut.o: lut.cc $(INC)machdefs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h
+ $(INC)machdefs.h lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pidrawer.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
+ $(INC)machdefs.h pidrawer.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
  pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -36,25 +29,19 @@
  picons.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
- pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
- pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ $(INC)machdefs.h pisysdep.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h picolist.h pimenubarx.h \
+ pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
+ pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
- pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
- pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ $(INC)machdefs.h pisysdep.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h picolist.h pimenubarx.h \
+ pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
+ pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
  pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
@@ -64,142 +51,96 @@
  piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h
 $(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdggen.h piwdgx.h \
+ $(INC)machdefs.h pibwdggen.h piwdgx.h \
  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h pixtbase.h
 $(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picmapx.h \
- picmapgen.h
+ $(INC)machdefs.h picmapx.h picmapgen.h
 $(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picmapx.h picmap.h
+ $(INC)machdefs.h picmapx.h picmap.h
 $(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h \
- picolist.h picmapx.h picmapgen.h pisysdep.h
+ $(INC)machdefs.h pimsghandler.h picolist.h \
+ picmapx.h picmapgen.h pisysdep.h
 $(OBJ)picons.o: picons.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picons.h \
- pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h \
- pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picons.h pistdwdgx.h \
+ pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainergen.h \
- piwdgx.h piwdggen.h pimsghandler.h picolist.h
-$(OBJ)pidrawer.o: pidrawer.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pidrawer.h \
- pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
- picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
- pifontgen.h pigraphuc.h pievthandler.h psfile.h
+ $(INC)machdefs.h picontainergen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picolist.h
+$(OBJ)pidrawer.o: pidrawer.cc $(INC)machdefs.h \
+ pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h picolist.h piscdrawwdg.h pibwdgx.h pibwdggen.h \
- picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
- pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
- pistdwdgx.h pistdwdggen.h pidrawer.h
+ $(INC)machdefs.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
+ pidrawer.h
 $(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h piscdrawwdg.h \
- pidrawer.h pi3ddrw.h pigraph3d.h
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h pioptmenux.h \
+ pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+ pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h piscdrawwdg.h pidrawer.h \
+ pi3ddrw.h pigraph3d.h
 $(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h \
- piwdgx.h piwdggen.h picolist.h pigraphx.h pigraphgen.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h pimsghandler.h piwdgx.h \
+ piwdggen.h picolist.h pigraphx.h pigraphgen.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)pifilechox.o: pifilechox.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piapplx.h \
- piapplgen.h pimsghandler.h picontainerx.h picontainergen.h piwdgx.h \
- piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h \
- pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h \
- picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
- pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
- pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
+ $(INC)machdefs.h piapplx.h piapplgen.h \
+ pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+ picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+ pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pifilechox.h pifilechogen.h \
+ piwindowx.h piwindowgen.h
 $(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pifontx.h \
  pifontgen.h
 $(OBJ)pifontx.o: pifontx.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pifontx.h \
- pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+ $(INC)machdefs.h pifontx.h pifontgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h
 $(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphuc.h \
- pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h pigraphuc.h pigraphgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pifontx.h \
  pifontgen.h
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphgen.h \
- piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
- picmapgen.h pifontx.h pifontgen.h psfile.h
-$(OBJ)pigraphuc.o: pigraphuc.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphuc.h \
- pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
- picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h pifontgen.h psfile.h
+$(OBJ)pigraphuc.o: pigraphuc.cc $(INC)machdefs.h \
+ pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pigraphgen.h \
- piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
- picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h pigraphgen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h pifontgen.h
 $(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h pisysdep.h \
+ $(INC)machdefs.h lut.h pisysdep.h \
  pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -211,66 +152,46 @@
  picons.h pidrwtools.h piscdrawwdg.h
 $(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h piimage.h \
- parradapter.h lut.h pidrawer.h pipixmapx.h pipixmapgen.h picmapview.h
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h pioptmenux.h \
+ pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+ pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h piimage.h parradapter.h lut.h \
+ pidrawer.h pipixmapx.h pipixmapgen.h picmapview.h
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h picontainerx.h picontainergen.h
 $(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
- piapplgen.h picontainerx.h picontainergen.h pimenubarx.h picons.h \
- pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ $(INC)machdefs.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
+ pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
- piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
- pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h piapplgen.h \
+ picontainerx.h picontainergen.h picons.h pistdwdgx.h pistdwdggen.h \
+ pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)pimenux.o: pimenux.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenubarx.h \
+ $(INC)machdefs.h pimenubarx.h \
  pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h
+ $(INC)machdefs.h
 $(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimenux.h \
- pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+ $(INC)machdefs.h pimenux.h pimenugen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h
 $(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pioptmenux.h \
+ $(INC)machdefs.h pioptmenux.h \
  pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h pistdwdgx.h pistdwdggen.h piapplx.h \
@@ -280,30 +201,21 @@
  pievthandler.h psfile.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h \
- picolist.h piperiodx.h \
- $(INC)periodic.h
+ $(INC)machdefs.h pimsghandler.h picolist.h \
+ piperiodx.h $(INC)periodic.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)piscdrawwdg.o: piscdrawwdg.cc \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piscdrawwdg.h \
- pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ $(INC)machdefs.h piscdrawwdg.h pisysdep.h \
+ pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
  pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h pidrawer.h pidrwtools.h pioptmenux.h pioptmenugen.h \
@@ -311,74 +223,51 @@
  pimenubargen.h picons.h parradapter.h lut.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwdgx.h piwdggen.h \
+ $(INC)machdefs.h piwdgx.h piwdggen.h \
  pimsghandler.h picolist.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pistdwdgx.h \
- pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
- picontainerx.h picontainergen.h
+ $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picontainerx.h \
+ picontainergen.h
 $(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h piwindowx.h \
- piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimsghandler.h picolist.h piperiodx.h \
- $(INC)periodic.h psfile.h \
- pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
+ $(INC)machdefs.h piwindowx.h piwindowgen.h \
+ picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h piperiodx.h $(INC)periodic.h \
+ psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h lut.h pi3ddrw.h \
- pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
- picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraph3d.h \
- pibwdgx.h pigraphps.h
+ $(INC)machdefs.h lut.h pi3ddrw.h pisysdep.h \
+ pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h \
+ pigraphps.h
 $(OBJ)pitherm.o: pitherm.cc pitherm.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdgx.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h pibwdgx.h pibwdggen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h \
- picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
- pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
- pifontgen.h psfile.h
+ $(INC)machdefs.h pimsghandler.h picolist.h \
+ picontainergen.h pisysdep.h piwdgx.h pievthandler.h pigraphx.h \
+ pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
+ psfile.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pimsghandler.h \
- picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
- pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
- pifontgen.h
+ $(INC)machdefs.h pimsghandler.h picolist.h \
+ picontainerx.h pisysdep.h picontainergen.h pievthandler.h pigraphx.h \
+ pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainerx.h \
+ $(INC)machdefs.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
  psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
  pifontx.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h picontainerx.h \
+ $(INC)machdefs.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pibwdggen.h piwdgx.h \
+ $(INC)machdefs.h pibwdggen.h piwdgx.h \
  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h pixtbase.h
 $(OBJ)psfile.o: psfile.cc psfile.h \
- $(INC)machdefs.h \
- $(INC)machine.h \
- $(INC)defs.h pisysdep.h \
- pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
- picolist.h picmap.h picmapx.h picmapgen.h pifontx.h
+ $(INC)machdefs.h pisysdep.h pifontgen.h \
+ pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h
